//------------------------------------------------------------------
// xalone.js
//------------------------------------------------------------------
// Tony Garland
// contact@spiritandtruth.org

var undefined;
//------------------------------------------------------------------
// Field a Cross-Reference Generated Within this Book
//------------------------------------------------------------------
window.tskFiles = new Array()
window.tskFiles[ 'mtt.'  ] = 'b40';
window.tskFiles[ 'mark'  ] = 'b41';
window.tskFiles[ 'luke'  ] = 'b42';
window.tskFiles[ 'john'  ] = 'b43';
window.tskFiles[ 'acts'  ] = 'b44';
window.tskFiles[ 'rom.'  ] = 'b45';
window.tskFiles[ '1cor.' ] = 'b46';
window.tskFiles[ '2cor.' ] = 'b47';
window.tskFiles[ 'gal.'  ] = 'b48';
window.tskFiles[ 'eph.'  ] = 'b49';
window.tskFiles[ 'php.'  ] = 'b50';
window.tskFiles[ 'col.'  ] = 'b51';
window.tskFiles[ '1th.'  ] = 'b52';
window.tskFiles[ '2th.'  ] = 'b53';
window.tskFiles[ '1ti.'  ] = 'b54';
window.tskFiles[ '2ti.'  ] = 'b55';
window.tskFiles[ 'tit.'  ] = 'b56';
window.tskFiles[ 'phm.'  ] = 'b57';
window.tskFiles[ 'heb.'  ] = 'b58';
window.tskFiles[ 'jas.'  ] = 'b59';
window.tskFiles[ '1pe.'  ] = 'b60';
window.tskFiles[ '2pe.'  ] = 'b61';
window.tskFiles[ '1jn.'  ] = 'b62';
window.tskFiles[ '2jn.'  ] = 'b63';
window.tskFiles[ '3jn.'  ] = 'b64';
window.tskFiles[ 'jude'  ] = 'b65';
window.tskFiles[ 'rev.'  ] = 'b66';

window.tskFiles[ 'gen.'  ] = 'b01';
window.tskFiles[ 'ex.'   ] = 'b02';
window.tskFiles[ 'lev.'  ] = 'b03';
window.tskFiles[ 'num.'  ] = 'b04';
window.tskFiles[ 'deu.'  ] = 'b05';
window.tskFiles[ 'jos.'  ] = 'b06';
window.tskFiles[ 'jdg.'  ] = 'b07';
window.tskFiles[ 'ru.'   ] = 'b08';
window.tskFiles[ '1s.'   ] = 'b09';
window.tskFiles[ '2s.'   ] = 'b10';
window.tskFiles[ '1k.'   ] = 'b11';
window.tskFiles[ '2k.'   ] = 'b12';
window.tskFiles[ '1chr.' ] = 'b13';
window.tskFiles[ '2chr.' ] = 'b14';
window.tskFiles[ 'ezra'  ] = 'b15';
window.tskFiles[ 'ne.'   ] = 'b16';
window.tskFiles[ 'est.'  ] = 'b17';
window.tskFiles[ 'job'   ] = 'b18';
window.tskFiles[ 'ps.'   ] = 'b19';
window.tskFiles[ 'pr.'   ] = 'b20';
window.tskFiles[ 'ecc.'  ] = 'b21';
window.tskFiles[ 'sos.'  ] = 'b22';
window.tskFiles[ 'isa.'  ] = 'b23';
window.tskFiles[ 'jer.'  ] = 'b24';
window.tskFiles[ 'lam.'  ] = 'b25';
window.tskFiles[ 'eze.'  ] = 'b26';
window.tskFiles[ 'dan.'  ] = 'b27';
window.tskFiles[ 'hos.'  ] = 'b28';
window.tskFiles[ 'joel'  ] = 'b29';
window.tskFiles[ 'amos'  ] = 'b30';
window.tskFiles[ 'ob.'   ] = 'b31';
window.tskFiles[ 'jonah' ] = 'b32';
window.tskFiles[ 'mic.'  ] = 'b33';
window.tskFiles[ 'nah.'  ] = 'b34';
window.tskFiles[ 'hab.'  ] = 'b35';
window.tskFiles[ 'zep.'  ] = 'b36';
window.tskFiles[ 'hag.'  ] = 'b37';
window.tskFiles[ 'zec.'  ] = 'b38';
window.tskFiles[ 'mal.'  ] = 'b39';

// Input is cross reference to anchor.
// Go to the location ourselves (without linked books).
function XALONE( anchor )
    {

    book = anchor.toLowerCase().split( '_' )
    url = window.tskFiles[ book[ 0 ] ]

    // Convert chapter into fixed-width;
    chapter = book[ 1 ]
    chapter = chapter.split( 'v' )
    chapter = chapter[ 0 ].split( 'c' )
    chapter = chapter[ 1 ]
    if ( chapter < 10 )
        {
        chapter = "00" + chapter;
        }
    else if ( chapter < 100 )
        {
        chapter = "0" + chapter;
        }
    url += "c" + chapter + ".htm#" + anchor

    //alert( url );
    window.location.href = url;
    return;

    }
